QT       += core gui serialport printsupport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    data/filemanager.cpp \
    data/peakpoint.cpp \
    global.cpp \
    logger/logger.cpp \
    rightwidget.cpp \
    thirdparty/easylogging/easylogging++.cc \
    ui/analysissettingform.cpp \
    ui/centralwidget.cpp \
    main.cpp \
    mainwindow.cpp \
    serialport/dataparser.cpp \
    serialport/serialport.cpp \
    thirdparty/qcustomplot/qcustomplot.cpp \
    ui/draglinehandler.cpp \
    ui/experimentsettingform.cpp \
    ui/leftwidget.cpp \
    ui/realtimedataform.cpp

HEADERS += \
    data/filemanager.h \
    data/peakpoint.h \
    defines.h \
    global.h \
    logger/logger.h \
    rightwidget.h \
    thirdparty/easylogging/easylogging++.h \
    ui/analysissettingform.h \
    ui/centralwidget.h \
    mainwindow.h \
    serialport/dataparser.h \
    serialport/protocol.h \
    serialport/serialport.h \
    thirdparty/qcustomplot/qcustomplot.h \
    ui/draglinehandler.h \
    ui/experimentsettingform.h \
    ui/leftwidget.h \
    ui/realtimedataform.h

FORMS += \
    mainwindow.ui \
    ui/experimentsettingform.ui \
    ui/realtimedataform.ui

INCLUDEPATH += serialport \
ui \
logger \
thirdparty/easylogging \
thirdparty/qcustomplot \
data

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    images.qrc

DISTFILES += \
    logger/log.conf
